// CButton.h
// by Comanche

#include "defines.h"
#include "CTexture.h"

#ifndef CBUTTON
#define CBUTTON

//////////////////////////////////////////////////////////////////////////////////

class CButton
{
public:
	CButton(int x1,int y1,int x2,int y2,char *string, char *bitmap);
	~CButton();
	BOOL RedrawButton();
	BOOL RedrawPushedButton();
	BOOL TestIfPressed();
private:
	BOOL DrawPicture(BOOL pressed);
	char	caption[100];
	int		Bx,By,Bx2,By2;
	BOOL	waspressed;	
	BOOL	isTextured;
	char buffer[80];
	CTexture *Texture;
};

#endif